#[cfg(not(target_env = "msvc"))]
use tikv_jemallocator::Jemalloc;

#[cfg(not(target_env = "msvc"))]
#[global_allocator]
static GLOBAL: Jemalloc = Jemalloc;

use std::thread;

use bvplan::*;

#[tokio::main]
async fn main() {
    env_logger::init();

    println!("Starting worker!");
    worker::init_blocking();
    thread::spawn(|| {
        tokio::runtime::Runtime::new().unwrap().block_on(async {
            worker::beat().await.unwrap().start().await.unwrap();
        });
    });

    let app = worker::APP.lock().unwrap();
    let app = app.as_ref().unwrap();
    app.display_pretty().await;
    app.consume_from(&[worker::QUEUE_NAME]).await.unwrap();
}
